CC =		g++
CCFLAGS =	-g -fPIC `$(ROOTSYS)/bin/root-config --new --cflags`
LD =		g++
LDFLAGS =	-shared

#libraries:	libDhcTree.so libDhcTrack.so
libraries:	libDhcTree.so

libDhcCluster.so: DhcCluster.hh DhcClustering.hh DhcTreeLinkDef.h DhcCluster.cxx DhcClustering.cxx
		@echo "Generating libDhcCluster.so"
		$(LD) $(LDFLAGS) -o libDhcCluster.so DhcTreeDict.o Event.o DhcCluster.o

libDhcTree.so: DhcTreeDict.o Event.o DhcCluster.o DhcClustering.o
		@echo "Generating Library ..."
		$(LD) $(LDFLAGS) -o libDhcTree.so DhcTreeDict.o Event.o DhcCluster.o DhcClustering.o

#libDhcTrack.so: DhcTrack.o
#		@echo "Generating Library ..."
#		$(LD) $(LDFLAGS) -o libDhcTrack.so DhcTrack.o

Event.o: Event.hh Event.cxx
		$(CC) $(CCFLAGS) -c Event.cxx

DhcCluster.o: DhcCluster.cxx DhcCluster.hh
		$(CC) $(CCFLAGS) -c DhcCluster.cxx
		
DhcClustering.o: DhcClustering.cxx DhcClustering.hh
		$(CC) $(CCFLAGS) -c DhcClustering.cxx
			
DhcTreeDict.o:	DhcTreeDict.cxx
		$(CC) $(CCFLAGS) -c DhcTreeDict.cxx

#DhcTrack.o:	DhcTrack.cxx
#		$(CC) $(CCFLAGS) -c DhcTrack.cxx

DhcTreeDict.cxx: DhcTreeLinkDef.h DhcCluster.hh DhcClustering.hh Event.hh DhcHit.hh
		@echo "Generating Dictionary ..."
		rootcint DhcTreeDict.cxx -c DhcCluster.hh DhcClustering.hh Event.hh DhcHit.hh DhcTreeLinkDef.h
clean:
		rm -f DhcTreeDict.* *.so *.o *.gch


